package com.example.gittask.screens

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController


@Composable
fun startScreen(navController: NavController){
    Column(
        modifier = Modifier
            .height(20.dp)
            .width(100.dp)
            .fillMaxSize(),
    )
    {
        Button(
            onClick = {
                navController.navigate("GorbachevVA") {
                    popUpTo("GorbachevTask")
                }
            },
            modifier = Modifier
                .padding(top = 5.dp),
            colors = ButtonDefaults.buttonColors(
                containerColor = Color(0xFFFFFFFF)
            )
        )
        {
            Text(
                text = "Горбачёв", fontSize = 20.sp,
                color = Color(0xFF57A9FF)
            )
        }
        Button(
            onClick = {
                navController.navigate("Provalenko") {
                    popUpTo("Provalenko")
                }
            },
            modifier = Modifier
                .padding(top = 5.dp),
            colors = ButtonDefaults.buttonColors(
                containerColor = Color(0xFFFFFFFF)
            )
        )
        {
            Text(
                text = "Проваленко", fontSize = 20.sp,
                color = Color(0xFF57A9FF)
            )
        }
        Button(
            onClick = {
                navController.navigate("Bezaeva") {
                    popUpTo("Bezaeva")
                }
            },
            modifier = Modifier
                .padding(top = 5.dp),
            colors = ButtonDefaults.buttonColors(
                containerColor = Color(0xFFFFFFFF)
            )
        )
        {
            Text(
                text = "Безаева", fontSize = 20.sp,
                color = Color(0xFF57A9FF)
            )
        }
    }
}